minor improvements
diff --git a/org.eclipse.wtp.releng.webupdatesite/build-home/copyToFinalUpdateSite-siteFiles.sh b/org.eclipse.wtp.releng.webupdatesite/build-home/copyToFinalUpdateSite-siteFiles.sh
index 98f285c..0185127 100644
--- a/org.eclipse.wtp.releng.webupdatesite/build-home/copyToFinalUpdateSite-siteFiles.sh
+++ b/org.eclipse.wtp.releng.webupdatesite/build-home/copyToFinalUpdateSite-siteFiles.sh
@@ -37,8 +37,16 @@
 perl -pi -e ${replaceCommand} ${releaseDir}/*.xml
 
 # now re-run the digester and P2 Generator
-./ant.sh  -f createDigests.xml  -Declipse.home=${eclipseLocation} -Dupdate.site=${releaseDir}  
+./ant.sh  -f createDigests.xml  -Declipse.home=${eclipseLocation} -Dupdate.site=${releaseDir}
+
+rc=$?
+
+if [ $rc -gt 0 ]
+then
+echo "Script stoped early due to return code of " $rc
+exit $rc
+fi  
+
 # create P2 repository metadata
 ./ant.sh  -f createP2Repo.xml  -Declipse.home=${eclipseLocation} -Dupdate.site=${releaseDir}  
 
-